
Redmine - Patch #5415

Fewer SQL statements generated for watcher_recipients

2010-04-30 14:31 - Holger Just

Status: Closed Start date: 2010-04-30

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Description

Using this patch, acts_as_watchable#watcher_recipients will only issue up to one sql statement instead of 1 + number of watchers.

Associated revisions

Revision 3803 - 2010-06-20 20:41 - Eric Davis

Optimize the N+1 query in watcher_recipients. #5415

Contributed by Holger Just

History

#1 - 2010-06-20 20:33 - Eric Davis

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

Added in r3803. This should be a nice performance boost for sending notifications on heavily watched issues.

Files

watcher_recipients.diff 728 Bytes 2010-04-30 Holger Just
